# jQuery Attach/Detach

[![NPM downloads](https://img.shields.io/npm/dm/jquery-attach.svg)](https://npmjs.org/package/jquery-attach "View this project on NPM")

**jQuery-attach** is a simple jQuery plugin to ensure that elements don't get bound to an event multiple times.

## Installation

`npm install jquery-attach --save-dev`

## Syntax

### attachBehavior

Initiates the one-time binding

```
$('.clicker').attachBehavior(trigger, evt => {
  evt.preventDefault();
  // do your thing
});
```

Arguments:

- `trigger`: the event to be handled (e.g. `'click'`)
- `evt`: callback's event object


### detachBehavior

Removes the binding

```
$('.clicker').detachBehavior('click');
```


### getBehavior

Check what behavior's attach to an element

```
$('.clicker').attachBehavior(trigger, function(evt) {
  evt.preventDefault();
});

let clickerBehavior = $('.clicker').getBehavior();

console.log( clickerBehavior.trigger );
// Outputs: 'click'

console.log( clickerBehavior.callback );
// Outputs: 'function(evt) { evt.preventDefault() }'
```

---

## To-Do
- [ ] Add custom events binding
- [ ] Add test scripts
